<?php
/**
* XSPF MP3 Player Plugin Uploader
* @package Community Builder
* @author Jeffrey Hill jeffrey.r.hill(at)gmail.com
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// Uploader dialogue
DEFINE('_UE_XSPF_UPLOAD','Submit Track');
DEFINE('_UE_XSPF_UPLOADING','Processing...Please Wait...');
DEFINE('_UE_XSPF_UPLOAD_MANAGE','Manage your MP3 files...');
DEFINE('_UE_XSPF_UPLOAD_ENABLED','MP3 Uploader enabled.');
DEFINE('_UE_XSPF_UPLOAD_DISABLED','MP3 Uploading is not permitted.');
DEFINE('_UE_XSPF_UPLOAD_KEEP_ALL','Keep All');
DEFINE('_UE_XSPF_UPLOAD_FTP_PASSIVE','Passive FTP connection...');
DEFINE('_UE_XSPF_UPLOAD_FTP_CONNECTED','Connected...');
DEFINE('_UE_XSPF_UPLOAD_SUCCESS','Your profile has been saved and your MP3 has been uploaded.');
DEFINE('_UE_XSPF_UPLOAD_FTP_FAIL','Upload file permission error.');
DEFINE('_UE_XSPF_UPLOAD_BY',' by ');
DEFINE('_UE_XSPF_UPLOAD_MAX','Maximum upload size:');
DEFINE('_UE_XSPF_UPLOAD_YOU_HAVE','Your playlist contains ');
DEFINE('_UE_XSPF_UPLOAD_TRACKS',' tracks.');
DEFINE('_UE_XSPF_UPLOAD_MB','MB');
DEFINE('_UE_XSPF_UPLOAD_REMAIN','Remaining directory space:');

// Uploader labels
DEFINE('_UE_XSPF_LABEL_UPLOAD','Upload an MP3 file:');
DEFINE('_UE_XSPF_LABEL_MP3_URL','Or, point to a URL where your MP3 is located:');
DEFINE('_UE_XSPF_LABEL_PHOTO_URL','Photo URL<br/>(.jpg format only):');
DEFINE('_UE_XSPF_LABEL_MP3_TITLE','MP3 Title:');
DEFINE('_UE_XSPF_LABEL_MP3_ARTIST','MP3 Artist:');
DEFINE('_UE_XSPF_LABEL_ARTIST_URL','Artist Link:');

// Directory-related messages
DEFINE('_UE_XSPF_DIR_NOT_EXCEED','Your MP3 directory cannot exceed');
DEFINE('_UE_XSPF_DIR_CURRENT','Current directory :');
DEFINE('_UE_XSPF_DIR_CHANGE','Directory changed to :');
DEFINE('_UE_XSPF_DIR_CHANGE_FAIL','Could not change directory in FTP.');

// File-related messages
DEFINE('_UE_XSPF_FILE_NOT_EXCEED','File size cannot exceed');
DEFINE('_UE_XSPF_FILE_NOT_ALLOWED','is not a permitted file type.');
DEFINE('_UE_XSPF_FILE_INVALID','Invalid file specified. MP3 upload failed.');
DEFINE('_UE_XSPF_FILE_DELETE','Delete Track');
DEFINE('_UE_XSPF_FILE_CREATED','Created on');
DEFINE('_UE_XSPF_FILE_ACCESSED','Last accessed on');
DEFINE('_UE_XSPF_EXTERNAL_FILE','External MP3');

// Other assorted messages
DEFINE('_UE_XSPF_LINK_SUCCESS','Your settings have been saved and your MP3 has been successfully linked to the player.');
DEFINE('_UE_XSPF_PLAYER_TITLE','XSPF Player');
DEFINE('_UE_XSPF_PLAYLIST_TITLE','Music by');
DEFINE('_UE_XSPF_PLAYLIST_URL','Your playlist URL: ');
DEFINE('_UE_XSPF_PLAYLIST_CREATE_ERROR','Unable to create XSPF playlist in $playlistFile...did not write.  Try again.');
DEFINE('_UE_XSPF_PLAYLIST_DIR_ERROR','Unable to create XSPF playlist in $playlistFile...no playlist directory found.  Try again.');
DEFINE('_UE_XSPF_DELETED_BY','deleted by');
DEFINE('_UE_XSPF_DELETED_SUCCESS','MP3 Successfully deleted.');
DEFINE('_UE_XSPF_DELETED_FAIL','Delete failed. Please try again.');
DEFINE('_UE_XSPF_BYTES','bytes.');
DEFINE('_UE_XSPF_PHOTO_INVALID','Photo error - not a JPEG file.  Please try again.');
DEFINE('_UE_XSPF','Address');
DEFINE('_UE_XSPF_HITS',' hits');
DEFINE('_UE_XSPF_STANDALONE','Standalone player');
