<?php

defined( '_VALID_MOS' ) or
    die( 'Direct Access to this location is not allowed.' );
    
/*
*   Uploader for Community Builder XSPF (MP3) Plugin
*   @package Community Builder
*   @author Jeffrey Hill jeffrey.r.hill(at)gmail.com
*   @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

    // $handle = opendir($upload_directory);
    global $mosConfig_absolute_path, $mosConfig_live_site;
    require_once( $mosConfig_absolute_path."/components/com_comprofiler/plugin/user/plug_cbmp3tab/xspf.class.php" );

    // Track query
    
    $listquery = "SELECT * FROM #__comprofiler_plug_mp3 AS a WHERE a.user_id = $user->id ORDER BY a.artist, a.title";
    $database->setQuery($listquery);
    $listrows = $database->loadObjectList();
    $trackcount = count($listrows);

    $return .= "<script language=\"JavaScript\" type=\"text/javascript\"";
    $return .= "src=\"".$mosConfig_live_site."/components/com_comprofiler/plugin/user/plug_cbmp3tab/manager.js\"></script>\n";
	$return .= "<a href=\"javascript:void(0);\" onclick=\"mp3Expand();\">"._UE_XSPF_UPLOAD_MANAGE."\n\t<img style=\"cursor:pointer;border:0px;\" id=\"mp3Arrow\" src=\"".$mosConfig_live_site."/components/com_comprofiler/plugin/user/plug_cbmp3tab/images/none-arrow.gif\" />\n</a>\n";
	
    $return .= "<div id=\"mp3Admin\" style=\"display:none\">\n";
    if ($trackcount <= $pm['mp3max']) {
        $return .= "<form name=\"mp3manager\" method=\"post\" enctype=\"multipart/form-data\">\n";
        $return .= "<table width =\"100%\"><tr><td class = \"titleCell\">";
        $return .= _UE_XSPF_LABEL_MP3_URL;
    	$return .= "\n</td>\n<td class = \"fieldCell\">\n";
    	$return .= "<input class=\"inputbox\" id=\"userfileURL\" name=\"userfileURL\" size=\"40\" type=\"text\"/>";
        $return .= "\n</td></tr>\n<tr>\n<td class = \"titleCell\">\n";
        $return .= _UE_XSPF_LABEL_PHOTO_URL;
        $return .= "\n</td>\n<td class = \"fieldCell\">\n";
    	$return .= '<input class="inputbox" id="photoURL" name="photoURL" size="40" type="text"/>';
    	$return .= "\n</td>\n</tr>\n<tr>\n<td class = \"titleCell\">\n";
        $return .= _UE_XSPF_LABEL_MP3_TITLE;
        $return .= "\n</td>\n\t\t<td class = \"fieldCell\">\n";
    	$return .= "<input class=\"inputbox\" id=\"mp3title\" name=\"mp3title\" size=\"40\" type=\"text\"/>";
    	$return .= "\n</td>\n\t</tr>\n\t<tr>\n<td class = \"titleCell\">\n";
        $return .= _UE_XSPF_LABEL_MP3_ARTIST;
        $return .= "\n</td>\n<td class = \"fieldCell\">\n\t\t\t";
    	$return .= '<input class="inputbox" id="mp3artist" name="mp3artist" size="40" type="text"/>';
    	$return .= "\n</td>\n</tr>\n\t<tr>\n\t\t<td class = \"titleCell\">\n";
    	$return .= _UE_XSPF_LABEL_ARTIST_URL;
        $return .= "\n</td><td class = \"fieldCell\">\n\t\t\t";
    	$return .= '<input class="inputbox" id="artistURL" name="artistURL" size="40" type="text"/>';
    	$return .= "\n</td>\n</tr>\n</table>\n";
    //if ($file) {
    //  $file = sort($file);
    }
        //while($file = readdir($handle)) {
    if ($listrows) {
        $return .= "<table width=\"100%\">\n\t";
	    $return .= "<tr>\n<td class=\"titleCell\" style=\"width: 75%\">\n";
        // Details, details...
        if ($trackcount > 1) $tracks = _UE_XSPF_UPLOAD_TRACKS; else $tracks = _UE_XSPF_UPLOAD_TRACK;
            
	    $return .= _UE_XSPF_UPLOAD_YOU_HAVE."<strong>".$trackcount."</strong>".$tracks."<br/>\n";
        $return .= _UE_XSPF_UPLOAD_MAXIMUM." <strong>".$pm['mp3max']." "._UE_XSPF_UPLOAD_TRACKS."</strong><br/>\n";
	    $return .= "\n</td>\n<td style=\"text-align: right;\">\n";
        $return .= "<input class=\"inputbox\" id=\"delete\" name=\"delete\" type=\"radio\" value=\"keep\" title=\""._UE_XSPF_UPLOAD_KEEP_ALL."\" Checked onclick=\"mp3NotifyDelete('"._UE_XSPF_UPLOAD."')\">"._UE_XSPF_UPLOAD_KEEP_ALL;
        $return .= "\n<td>\n";
        $return .= "</td></tr></table>\n";
        
        $j = 1;
        $return .= "<table width=\"100%\">\n";
        // Loop through current tracks
        foreach($listrows as $listrow) {
	    //if(!is_dir($file) && !is_link($file) && !eregi("playlist",$file)) {
           $dirfile = str_replace($mosConfig_live_site, $mosConfig_absolute_path, $listrow->location);
	           
	       $return .= "<tr class=\"sectiontableentry".$j."\"><td style=\"width: 75%\">\n";
           $return .= "<a href=\"$listrow->location\">".$listrow->title."</a>"._UE_XSPF_UPLOAD_BY.$listrow->artist."\n\t\t";
           $return .= '<div class="small">'._UE_XSPF_FILE_CREATED.' '.$listrow->create_date;
           $return .= '<br />'.intval($listrow->hits)._UE_XSPF_HITS.'</div></td>';
           $return .= "\n<td style=\"width: 25%\">";
           $return .= "<input class=\"inputbox\" id=\"delete\" name=\"delete\" type=\"radio\" value=\"".$listrow->id."\" title=\""._UE_XSPF_FILE_DELETE."\" onclick=\"mp3NotifyDelete('"._UE_XSPF_FILE_DELETE."')\">"._UE_XSPF_FILE_DELETE."\n</td>\n</tr>";
           $j == 1 ? $j++ : $j--;
        }
        $return .= "</table>\n";
    }
    $return .= "<table width=\"100%\">\n<tr><td>\n";
	$return .= "<input class=\"button\" name=\"mp3upload\" id=\"mp3upload\" type=\"submit\" value=\""._UE_XSPF_UPLOAD."\" onclick=\"mp3NotifyUpload('"._UE_XSPF_UPLOADING."');\"/>";
    $return .= "\n</td>\n<td style=\"background: #FFFFFF; text-align: right; width: 20%\">\n";
    $return .= "\n</td></tr></table>\n</form>\n</div>\n";
    //}
?>
